Name:		mod_qos
Version:	9.75
Release:	3%{?dist}
Summary:	mod_qos is a quality of service module for the Apache web server implementing control mechanisms that can provide different levels of priority to different HTTP requests.

Group:		System Environment/Daemons
License:	GPLv2
URL:		http://opensource.adnovum.ch/mod_qos/
Source0:	http://sourceforge.net/projects/mod-qos/files/%{name}-%{version}.tar.gz
Source1:	mod_qos.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	httpd-devel, apr-devel, pcre-devel, openssl-devel, libpng-devel
Requires:	httpd

%description
In computer networking, the term quality of service (QoS) describes resource management rather than the quality of a service. Quality of service implements control mechanisms to provide different priority to different users, applications, and data connections. It is used to guarantee a certain level of performance to data resources. The term quality of service is often used in the field of wide area network protocols (e.g. ATM) and telephony (e.g. VoIP), but rarely in conjunction with web applications.

%package tools
Group:	Development/Languages
Summary:	Common tools for mod_qos
Requires:	%{name} = %{version}-%{release}

%description tools
Common tools for mod_qos

%package doc
Group:	Documentation
Summary:	Document for mod_qos

%description doc
Document for mod_qos

%prep
%setup -q

%build
pushd apache2
apxs -ca -lcrypto mod_qos.c
popd
pushd tools
%configure \
	--prefix=%{_prefix} \
	--with-apr=%{_bindir} \
	--with-apr-util=%{_bindir} \
	--with-pcre=%{_bindir} \
	--with-png=%{_bindir} \
	--with-ssl=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -d -m0755 $RPM_BUILD_ROOT%{_libdir}/httpd/modules
pushd apache2
install -m0755 .libs/mod_qos.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
popd
pushd tools
make install DESTDIR=$RPM_BUILD_ROOT

install -d -m0755 $RPM_BUILD_ROOT%{_mandir}/man1
for f in `find man1 -type f`
do
	install -D -m0644 $f $RPM_BUILD_ROOT%{_mandir}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/httpd/conf.d
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_qos.conf
%{_libdir}/httpd/modules

%files tools
%defattr(-,root,root,-)
%{_bindir}/qs*
%{_mandir}/man1/*.1.gz

%files doc
%defattr(-,root,root,-)
%doc doc/*

%changelog
* Mon Dec 12 2011 momo-i <webmaster@momo-i.org> - 9.75-3
- config noreplace

* Mon Dec 12 2011 momo-i <webmaster@momo-i.org> - 9.75-2
- Added more example configurations.

* Wed Dec 07 2011 momo-i <webmaster@momo-i.org> - 9.75-1
- Added man for mod_qos-tools

* Mon Jun 6 2011 momo-i <webmaster@momo-i.org> - 9.57-1
- Initial rpm release.
